summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Stellard <thomas.stellard@amd.com>2012-05-24 15:19:09 -0400
committerTom Stellard <thomas.stellard@amd.com>2012-05-24 15:19:09 -0400
commit1bb96a2b0837d59d37048916f7b2bba9f191b1c9 (patch)
treebc73571cedcf431ca3c221110cc17f80d63e9961
parent5d1b746885be66584a4397cf61a84fc91d5a78d7 (diff)
run_tests: Fix error code check for failing tests
-rw-r--r--run_tests.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/run_tests.sh b/run_tests.sh
index e5be8ea..4004693 100644
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -8,7 +8,7 @@ MIN_SINT="-2147483648"
run_test () {
echo "Running $1"
`$1 &>/dev/null`
- if [ $? -eq 1 ]; then
+ if [ $? -ne 0 ]; then
echo "Failed"
(( FAIL++ ))
else